﻿using C1.Blazor.Grid;
using Microsoft.AspNetCore.Components;


namespace FlexGridIntro.Client.Models
{
   
    public class MyCellFactory : GridCellFactory
    {
        public override RenderFragment GetCellContentRenderFragment(GridCellType cellType, GridCellRange range)
        {
            if (cellType == GridCellType.Cell && Grid.Columns[range.Column].GetType() == typeof(GridHyperlinkColumn))
            {
                var _dataItem = Grid.Rows[range.Row].DataItem;
                var link = Grid.Cells[range.Row, range.Column];
                if (link == "")
                {
                    link = "javascript:void(0);";
                }
                return base.GetCellContentRenderFragment(cellType,range);// @<a href="@link">@_dataItem.GetType().GetProperty((Grid.Columns[range.Column] as GridHyperlinkColumn).ContentBinding).GetValue(_dataItem)</a>;
    
            }
            return base.GetCellContentRenderFragment(cellType, range);
        }

        //public override void PrepareCellStyle(GridCellType cellType, GridCellRange range, C1Style style, C1Thickness internalBorders)
        //{
        //    base.PrepareCellStyle(cellType, range, style, internalBorders);
        //    if(cellType == GridCellType.Cell && Grid.Columns[range.Column].WordWrap)
        //    {
        //        //style.WhiteSpace = C1StyleWhiteSpace.PreWrap ;
        //    }

        //}
    }
}
